﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using VeloToulouse.Entites;

namespace VeloToulouse
{
    public partial class StationDetail : PhoneApplicationPage
    {
        public StationDetail()
        {
            InitializeComponent();
        }

        public Station station;

        private void StackPanel_Loaded(object sender, RoutedEventArgs e)
        {
            string stationId = "";
            NavigationContext.QueryString.TryGetValue("id", out stationId);
            if (!string.IsNullOrEmpty(stationId))
            {
                station = StationsService.Current.GetStationById(stationId);
                if (station != null)
                {
                    station.RefreshAsync();
                    ContentGrid.DataContext = station;
                }
            }
        }
    }
}